SIGNAL-TLSD(1)

NAME
signal-tlsd - signal-tlsd

SYNOPSIS
signal-tlsd [OPTIONS]

DESCRIPTION
Standalone Rust implementation of Signal's domain fronting TLS proxy

OPTIONS

-v, --verbose...
    Increase log level (can be set multiple times)

-q, --quiet...
    Decrease log level (twice to fully turn off error logging too)

-B, --bind <BIND>
    Address to bind to [env: BIND_ADDR=] [default: 127.0.0.1:4443]

-A, --allow <ALLOW>
    Allowed destination server names (replaces default signal.org allowlist, can be set multiple times)

-F, --fallback <FALLBACK>
    Fallback destination if inner connection isn't TLS, or the SNI value is not on allowlist (<addr>:<port>) [env: SIGNAL_TLSD_FALLBACK_ADDR=]

-N  Do not expect an outer TLS layer, assume the outer TLS layer has already been terminated

--cert <CERT>
    Path to TLS certificate for outer TLS layer (PEM format) [env: TLS_CERT_PATH=]

--private-key <PRIVATE_KEY>
    Path to TLS private key for outer TLS layer (PEM format) [env: TLS_PRIVATE_KEY_PATH=]

-h, --help
    Print help

-V, --version
    Print version